// ChangeSorter.h: interface for the ChangeSorter class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHANGESORTER_H__ABD2AF4B_D658_48D8_9AA5_6F7C6104E29F__INCLUDED_)
#define AFX_CHANGESORTER_H__ABD2AF4B_D658_48D8_9AA5_6F7C6104E29F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ChangeNode.h"

class ChangeSorter  
{
public:
	ChangeSorter();
	~ChangeSorter();

	void AddChange(StrBuf); //add a change to the list
	int GetPos(StrBuf);		//get position of a change
	StrBuf GetChange(int);	//get change at a position

	int Size() 
		{return size;}		//total number of changes.

private:
	ChangeNode* head;
	ChangeNode* tail;

	ChangeNode* seek;

	int counter; // the position of seek, min. value 1
	int size; //the total number of nodes in the list
};

#endif // !defined(AFX_CHANGESORTER_H__ABD2AF4B_D658_48D8_9AA5_6F7C6104E29F__INCLUDED_)
